<template>
  <PanelLayout>
    <v-row>
      <v-col>
        <v-card class="mx-2">
          <v-list-item three-line>
            <v-list-item-avatar tile size="80" color="blue">
              <v-icon x-large color="white">mdi-account</v-icon>
            </v-list-item-avatar>
            <v-list-item-content>
              <v-list-item-subtitle>Usuarios:</v-list-item-subtitle>
              <v-list-item-title class="headline mb-1">3412</v-list-item-title>
            </v-list-item-content>
          </v-list-item>
        </v-card>
      </v-col>
      <v-col>
        <v-card class="mx-2">
          <v-list-item three-line>
            <v-list-item-avatar tile size="80" color="green">
              <v-icon x-large color="white">mdi-soccer</v-icon>
            </v-list-item-avatar>
            <v-list-item-content>
              <v-list-item-subtitle>Juegos Football:</v-list-item-subtitle>
              <v-list-item-title class="headline mb-1">4321</v-list-item-title>
            </v-list-item-content>
          </v-list-item>
        </v-card>
      </v-col>
      <v-col>
        <v-card class="mx-2">
          <v-list-item three-line>
            <v-list-item-avatar tile size="80" color="yellow">
              <v-icon x-large color="white">mdi-whistle</v-icon>
            </v-list-item-avatar>
            <v-list-item-content>
              <v-list-item-subtitle>Juegos Personaliados:</v-list-item-subtitle>
              <v-list-item-title class="headline mb-1">1234</v-list-item-title>
            </v-list-item-content>
          </v-list-item>
        </v-card>
      </v-col>
      <v-col>
        <v-card class="mx-2">
          <v-list-item three-line>
            <v-list-item-avatar tile size="80" color="grey">
              <v-icon x-large color="white">mdi-ticket</v-icon>
            </v-list-item-avatar>
            <v-list-item-content>
              <v-list-item-subtitle>Tickets:</v-list-item-subtitle>
              <v-list-item-title class="headline mb-1">5454</v-list-item-title>
            </v-list-item-content>
          </v-list-item>
        </v-card>
      </v-col>
    </v-row>
    <v-row class="my-5">
      <v-col>
        <v-card class="mx-2">
          <GChart type="AreaChart" :data="mainChart.chartData" :options="mainChart.chartOptions" />
        </v-card>
      </v-col>
    </v-row>
    <v-row class="my-5">
      <v-col>
        <v-card class="mx-2">
          <GChart type="PieChart" :data="sportPrizesChart.chartData" :options="sportPrizesChart.chartOptions" />
        </v-card>
      </v-col>
      <v-col>
        <v-card class="mx-2">
          <GChart type="PieChart" :data="customPrizesChart.chartData" :options="customPrizesChart.chartOptions" />
        </v-card>
      </v-col>
      <v-col>
        <v-card class="mx-2">
          <GChart type="PieChart" :data="typesTicketsChart.chartData" :options="typesTicketsChart.chartOptions" />
        </v-card>
      </v-col>
    </v-row>
    <v-row class="my-5">
      
      <v-col>
        <v-card class="mx-2">
          <GChart type="BarChart" :data="topProductsChart.chartData" :options="topProductsChart.chartOptions" />
        </v-card>
      </v-col>
      <v-col>
        <v-card class="mx-2">
          <GChart type="ColumnChart" :data="userRegisterCharts.chartData" :options="userRegisterCharts.chartOptions" />
        </v-card>
      </v-col>
    </v-row>
  </PanelLayout>
</template>

<script>
import PanelLayout from "@/components/PanelLayout";
import { GChart } from "vue-google-charts";

export default {
  name: "Dashboard",
  components: {
    PanelLayout,
    GChart
  },
  data() {
    return {
      mainChart: {
        chartData: [
          ["Dia", "Football", "Personalizados"],
          ["1", 1000, 400],
          ["2", 1170, 460],
          ["3", 660, 1120],
          ["4", 1030, 540],
          ["5", 1000, 400],
          ["6", 1170, 460],
          ["7", 660, 1120],
          ["8", 1030, 540],
          ["9", 1000, 400],
          ["10", 1170, 460],
          ["11", 660, 1120],
          ["12", 1030, 540],
          ["13", 1000, 400],
          ["14", 1170, 460],
          ["15", 660, 1120],
          ["16", 1030, 540],
          ["17", 1000, 400],
          ["18", 1170, 460],
          ["19", 660, 1120],
          ["20", 1030, 540],
          ["21", 1170, 460],
          ["22", 660, 1120],
          ["23", 1030, 540],
          ["24", 1000, 400],
          ["25", 1170, 460],
          ["26", 660, 1120],
          ["27", 1030, 540],
          ["28", 1000, 400],
          ["29", 1170, 460],
          ["30", 660, 1120],
          ["31", 1030, 540]
        ],
        chartOptions: {
          title: "Juegos de Abril 2020",
          hAxis: { format: "decimal" },
          height: 400,
          colors: ['#00c853', '#2962ff']
        }
      },

      sportPrizesChart: {
        chartData: [
          ["Tipo de Recompenza", "Cantidad"],
          ["Monetario", 1000],
          ["Marketplace", 1170],
          ["Castigo", 660 ],
          ["Castigo Personalizado", 1030],
        ],
        chartOptions: {
          title: "Recompensas de Apuestas - Abril 2020",
          height: 300,
        //   colors: ['#00c853', '#2962ff']
        }
      },

      customPrizesChart: {
        chartData: [
          ["Tipo de Recompenza", "Cantidad"],
          ["Monetario", 1000],
          ["Marketplace", 1170],
          ["Castigo", 660 ],
          ["Castigo Personalizado", 1030],
        ],
        chartOptions: {
          title: "Recompenzas de Apuestas perzonalizadas - Abril 2020",
          hAxis: { format: "decimal" },
          height: 300,
        //   colors: ['#00c853', '#2962ff']
        }
      },

      typesTicketsChart: {
        chartData: [
          ["Tipo de Ticket", "Cantidad"],
          ["Monetario", 1000],
          ["Marketplace", 1170],
        ],
        chartOptions: {
          title: "Tipos de tickets - Abril 2020",
          hAxis: { format: "decimal" },
          height: 300,
          colors: ['#00c853', '#2962ff']
        }
      },

      topProductsChart: {
        chartData: [
          ["Producto", "# de Tickets"],
          ["Playera America", 50],
          ["Six de Indio", 35],
          ["Iphone X", 20],
          ["MacBook Pro", 1],
        ],
        chartOptions: {
          title: "Top Productos MarketPlace - Abril 2020",
          hAxis: { format: "decimal" },
          height: 300,
          colors: ['#00c853', '#2962ff']
        }
      },
      userRegisterCharts: {
        chartData: [
          ["Fecha", "Usuarios"],
          ["1", 50],
          ["2", 35],
          ["3", 20],
          ["4", 40],
          ["5", 20],
          ["6", 40],
          ["7", 50],
          ["8", 35],
          ["9", 20],
          ["10", 40],
          ["11", 50],
          ["12", 35],
          ["13", 20],
          ["14", 40],
          ["15", 20],
          ["16", 40],
          ["17", 50],
          ["18", 35],
          ["19", 20],
          ["20", 40],
          ["21", 50],
          ["22", 35],
          ["23", 20],
          ["24", 40],
          ["25", 20],
          ["26", 40],
          ["27", 50],
          ["28", 35],
          ["29", 20],
          ["30", 40],
        ],
        chartOptions: {
          title: "Registro de Usuarios  - Abril 2020",
          hAxis: { format: "decimal" },
          height: 300,
        //   colors: ['#00c853', '#2962ff']
        }
      },
    };
  }
};
</script>

<style></style>
